Configurar S3
curl --request PUT \
--url https://api.wapizap.com/api/v2/instances/{id}/s3-config \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"bucket": "my-wapizap-media",
"region": "us-east-1",
"accessKey": "<string>",
"secretKey": "<string>",
"endpoint": "<string>",
"prefix": "media/"
}
'import requests
url = "https://api.wapizap.com/api/v2/instances/{id}/s3-config"
payload = {
"bucket": "my-wapizap-media",
"region": "us-east-1",
"accessKey": "<string>",
"secretKey": "<string>",
"endpoint": "<string>",
"prefix": "media/"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
bucket: 'my-wapizap-media',
region: 'us-east-1',
accessKey: '<string>',
secretKey: '<string>',
endpoint: '<string>',
prefix: 'media/'
})
};
fetch('https://api.wapizap.com/api/v2/instances/{id}/s3-config', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Instances
Configurar S3
Configura armazenamento S3 para mídias
PUT
/
instances
/
{id}
/
s3-config
Configurar S3
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Response
200
S3 configurado
⌘I